Solid Edge Assembly Type Library
IsUpToDate Property
Description
Returns and sets the status of the assembly's physical properties.
Property type
Read-only property
Syntax
Visual Basic
Public Property IsUpToDate As Boolean
Remarks
The center of mass and center of volume symbols change to reflect their status.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objPhyProps As SolidEdgeAssembly.PhysicalProperties
    Const TESTFILE = "T:\vbtests\testcases\Sample.asm"
    Dim bBefUpDt As Boolean
    Dim bAftUpDt As Boolean
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Close the active document
    Call objDoc.Close
    ' opening an existing assembly file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' Getting the PhysicalProperties object of the assembly document
    Set objPhyProps = objDoc.PhysicalProperties
    ' Getting the IsUpToDate property before update
    bBefUpDt = objPhyProps.IsUpToDate
    'Update the physicalproperties and get the status
    Call objPhyProps.Update
    bAftUpDt = objPhyProps.IsUpToDate


    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objPhyProps = Nothing
End Sub
See Also

PhysicalProperties Object  | PhysicalProperties Members